<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Sample Schema</title>
       <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD"
      crossorigin="anonymous"
    />
</head>
<body>
      <h1>Schemas List</h1>
        <button class="btn btn-primary" onclick="location.href='/'">Edit Schema</button>


  <h2>{{ schema.name }}</h2>
  <p><b>ID:</b> {{ schema.id }}</p>
  <p><b>Created at:</b> {{ schema.created_at }}</p>
  <p><b>Last updated:</b> {{ schema.updated_at }}</p>

  <h2>Columns</h2>
  <table>
    <thead>
      <tr>
        <th>Column Name</th>
        <th>Data Type</th>
      </tr>
    </thead>
    <tbody>
          {% for column in schema.columns.all %}
        <tr>
          <td>{{ column.name }}</td>
          <td>{{ column.data_type }}</td>
        </tr>
          {% endfor %}
    </tbody>
  </table>

  <h2>Generated Data</h2>
      <form method="POST" action="{% url 'generate_data' schema.pk %}">
  {% csrf_token %}
  <label for="num-rows">Number of Rows:</label>
  <input type="number" name="num_records" id="num-rows" min="1" required>
  <button type="submit">Generate Data</button>
</form>

  {% if generated_data %}
    <ul>
      {% for data in generated_data %}
        <li>
          <a href="{{ data.filepath }}">{{ data.schema.name }} - {{ data.num_records }} records</a>
          {% if data.status == 'completed' %}
            (Completed on {{ data.created_at|date:"Y-m-d H:i:s" }})
          {% elif data.status == 'pending' %}
            (Pending)
          {% elif data.status == 'failed' %}
            (Failed on {{ data.created_at|date:"Y-m-d H:i:s" }})
          {% endif %}
        </li>
      {% endfor %}
    </ul>
  {% else %}
    <p>No generated data yet.</p>
  {% endif %}

</body>
</html>